package com.bwie.auth.feign;

import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

@FeignClient("bwie-system")
public interface AuthFeign {

    @PostMapping("findtel")
    public Result<User> findtel(@RequestParam String userTel);
}
