package com.bwie.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("goods")
public class Goods {
    @TableId(value = "goods_id",type = IdType.AUTO)
    private Long goodsId;
    @TableField("goods_hao")
    private String goodsHao;
    @TableField("goods_name")
    private String goodsName;
    @TableField("goods_brand")
    private String goodsBrand;
    @TableField("goods_duce")
    private String goodsDuce;
    @TableField("goods_price")
    private BigDecimal goodsPrice;
    @TableField("goods_time")
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    public Date goodsTime;












}
