package com.bwie.car.controller;

import com.bwie.car.service.CarService;
import com.bwie.common.result.Result;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
public class CarController {
    private final CarService carService;


    public CarController(CarService carService) {
        this.carService = carService;
    }

    @PostMapping("addcar")
    public Result addcar(@RequestBody List<String> carReq){
        Result result = carService.addcar(carReq);
        return result;
    }


    @GetMapping("show")
    public Result show(){
        Result result = carService.show();
        return result;
    }

}
