package com.bwie.goods.controller;

import com.bwie.common.domain.request.GoodsReq;
import com.bwie.common.result.Result;
import com.bwie.goods.service.GoodsService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class GoodsController {
    private final GoodsService goodsService;


    public GoodsController(GoodsService goodsService) {
        this.goodsService = goodsService;
    }

    @PostMapping("show")
    public Result show(@RequestBody GoodsReq goodsReq){
        Result result = goodsService.show(goodsReq);
        return result;
    }






}
